Subject: Re: bug#49716: no -print0 for ls?

From: Vito Caputo <[email-masked]>
Date: Wed, 28 Jul 2021 10:54:24 -0700

On Wed, Jul 28, 2021 at 12:57:38PM +0100, Pádraig Brady wrote:
> On 28/07/2021 02:14, Paul Eggert wrote:
> > On 7/26/21 8:00 AM, Pádraig Brady wrote:
> > 
> > > So I'd have a slight preference for --zero.
> > > 
> > > Also what about having --zero imply:
> > >     --quoting-style=literal --show-control-chars --format=single-column
> > > That seems like a fine shortcut given that would be correct in the vast
> > > majority of cases,
> > > and that the need for the above may not be obvious to users.
> > > 
> > > Also a small point; should --dired disable --null as it may then be non
> > > parseable?
> > 
> > Thanks, all good suggestions. For --dired vs --zero I thought it better
> > simply to prohibit the combination since neither should be in 'ls' shell
> > aliases, and prohibiting means we can add it later if we like. I
> > installed the attached patches to do this (plus the other stuff I
> > mentioned in my reply to Berny).
> > 
> > The first patch is a cleanup because I had a bit of trouble following
> > the forest of 'if's inside of ls.c's decode_switches function and I
> > thought it better to avoid unnecessary syscalls while I was at it.
> > 
> > The second patch does the real work.
> > 
> 
> That all looks great.
> 
> I see --zero implies --format=single-column, but allows --format=long.
> That's the right default, but also most flexible.
> 
> I'll apply the attached later to augment/document the test
> with the various supported option combinations.
> 

I'm a bit busy with non-computer work at the moment (building a roof),
but will try find some time to kick the tires on these changes in the
coming weeks.

Thanks all for considering the issue beyond EWONTFIX.

Cheers,
Vito Caputo